%global pypi_name wsgi_intercept
%bcond_with docs
%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        1.2.2
Release:        7%{?dist}.1
Summary:        wsgi_intercept installs a WSGI application in place of a real URI for testing

License:        MIT
URL:            https://github.com/cdent/wsgi-intercept
Source0:        https://pypi.python.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
It installs a WSGI application in place of a real URI for testing.
Testing a WSGI application normally involves starting a server at
a local host and port, then pointing your test code to that address.
Instead,this library lets you intercept calls to any specific host/port
combination and redirect them into a `WSGI application`_ importable by
your test program.

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        Documentation for the wsgi-intercept module
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

%description -n python-%{pypi_name}-doc
Documentation for the wsgi-intercept module
%endif

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        wsgi_intercept installs a WSGI application in place of a real URI for testing
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# test dependencies
BuildRequires:  python3-pytest
BuildRequires:  python3-httplib2
BuildRequires:  python3-requests

Requires:       python3-setuptools

%description -n python3-%{pypi_name}
It installs a WSGI application in place of a real URI for testing.
Testing a WSGI application normally involves starting a server at
a local host and port, then pointing your test code to that address.
Instead,this library lets you intercept calls to any specific host/port
combination and redirect them into a `WSGI application`_ importable by
your test program.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if %{with docs}
# generate html docs
export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

# fix file encoding
sed -i 's/\r$//' html/_static/jquery.js
%endif


%if 0%{?with_python3}
%py3_build
%endif

%install

%if 0%{?with_python3}
%py3_install
%endif

%check

%if 0%{?with_python3}
%{__python3} setup.py test
%endif


%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README
%license LICENSE
%{python3_sitelib}/%{pypi_name}*
%exclude %{python3_sitelib}/test
%endif

%if %{with docs}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc html
%endif

%changelog
* Tue Dec 22 2020 CPaaS User <cpaas-ops@redhat.com> - 1.2.2-7.1
- Bump release

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.2.2-7
- Bump release number

* Mon Oct 19 2020 Vath Sok <vsok@redhat.com> - 1.2.2-6
- Bump release number

* Wed Oct 14 2020 Vath Sok <vsok@redhat.com> - 1.2.2-5
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.2.2-4
- rebuilt

* Tue Oct 13 2020 Vath Sok <vsok@redhat.com> - 1.2.2-3
- rebuilt

* Mon Jan 21 2019 Shreshtha Joshi <shrjoshi@redhat.com> - 1.2.2-2
- RHEL8-isms

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Sep 21 2015 Chandan Kumar <chkumar246@gmail.com> - 0.10.3-2
- Fixed import error
- Removed test folder

* Wed Sep 16 2015 Chandan Kumar <chkumar246@gmail.com> - 0.10.3-1
- Initial package.
